SND_PCM_HW_PARAM_L(9)

NAME
snd_pcm_hw_param_last -

SYNOPSIS

int snd_pcm_hw_param_last (struct snd_pcm_substream * pcm, struct snd_pcm_hw_params * params, snd_pcm_hw_param_t var, int * dir);

ARGUMENTS

pcm PCM instance

params
    the hw_params instance

var parameter to retrieve

dir pointer to the direction (-1,0,1) or NULL

DESCRIPTION

Inside configuration space defined by PARAMS remove from PAR all values < maximum. Reduce configuration space accordingly. Return the maximum.